Index: /palm/trunk/SOURCE/radiation_model_mod.f90
===================================================================
--- /palm/trunk/SOURCE/radiation_model_mod.f90	(revision 3003)
+++ /palm/trunk/SOURCE/radiation_model_mod.f90	(revision 3004)
@@ -28,4 +28,8 @@
 ! -----------------
 ! $Id$
+! Further allocation checks implemented (averaged data will be assigned to fill
+! values if no allocation happened so far) 
+! 
+! 2995 2018-04-19 12:13:16Z Giersch
 ! IF-statement in radiation_init removed so that the calculation of radiative 
 ! fluxes at model start is done in any case, bugfix in 
@@ -7323,93 +7327,112 @@
 
           CASE ( 'rad_net*' )
-             DO  i = nxl, nxr
-                DO  j = nys, nyn
-                   DO m = surf_lsm_h%start_index(j,i), surf_lsm_h%end_index(j,i)
-                      rad_net_av(j,i) = rad_net_av(j,i) + surf_lsm_h%rad_net(m)
-                   ENDDO
-                   DO m = surf_usm_h%start_index(j,i), surf_usm_h%end_index(j,i)
-                      rad_net_av(j,i) = rad_net_av(j,i) + surf_usm_h%rad_net(m)
+             IF ( ALLOCATED( rad_net_av ) ) THEN
+                DO  i = nxl, nxr
+                   DO  j = nys, nyn
+                      DO m = surf_lsm_h%start_index(j,i), surf_lsm_h%end_index(j,i)
+                         rad_net_av(j,i) = rad_net_av(j,i) + surf_lsm_h%rad_net(m)
+                      ENDDO
+                      DO m = surf_usm_h%start_index(j,i), surf_usm_h%end_index(j,i)
+                         rad_net_av(j,i) = rad_net_av(j,i) + surf_usm_h%rad_net(m)
+                      ENDDO
                    ENDDO
                 ENDDO
-             ENDDO
+             ENDIF
 
           CASE ( 'rad_lw_in' )
-             DO  i = nxlg, nxrg
-                DO  j = nysg, nyng
-                   DO  k = nzb, nzt+1
-                      rad_lw_in_av(k,j,i) = rad_lw_in_av(k,j,i) + rad_lw_in(k,j,i)
+             IF ( ALLOCATED( rad_lw_in_av ) ) THEN
+                DO  i = nxlg, nxrg
+                   DO  j = nysg, nyng
+                      DO  k = nzb, nzt+1
+                         rad_lw_in_av(k,j,i) = rad_lw_in_av(k,j,i)             &
+                                               + rad_lw_in(k,j,i)
+                      ENDDO
                    ENDDO
                 ENDDO
-             ENDDO
+             ENDIF
 
           CASE ( 'rad_lw_out' )
-             DO  i = nxlg, nxrg
-                DO  j = nysg, nyng
-                   DO  k = nzb, nzt+1
-                      rad_lw_out_av(k,j,i) = rad_lw_out_av(k,j,i)              &
-                                             + rad_lw_out(k,j,i)
+             IF ( ALLOCATED( rad_lw_out_av ) ) THEN
+                DO  i = nxlg, nxrg
+                   DO  j = nysg, nyng
+                      DO  k = nzb, nzt+1
+                         rad_lw_out_av(k,j,i) = rad_lw_out_av(k,j,i)           &
+                                                + rad_lw_out(k,j,i)
+                      ENDDO
                    ENDDO
                 ENDDO
-             ENDDO
+             ENDIF
 
           CASE ( 'rad_lw_cs_hr' )
-             DO  i = nxlg, nxrg
-                DO  j = nysg, nyng
-                   DO  k = nzb, nzt+1
-                      rad_lw_cs_hr_av(k,j,i) = rad_lw_cs_hr_av(k,j,i)          &
-                                               + rad_lw_cs_hr(k,j,i)
+             IF ( ALLOCATED( rad_lw_cs_hr_av ) ) THEN
+                DO  i = nxlg, nxrg
+                   DO  j = nysg, nyng
+                      DO  k = nzb, nzt+1
+                         rad_lw_cs_hr_av(k,j,i) = rad_lw_cs_hr_av(k,j,i)       &
+                                                  + rad_lw_cs_hr(k,j,i)
+                      ENDDO
                    ENDDO
                 ENDDO
-             ENDDO
+             ENDIF
 
           CASE ( 'rad_lw_hr' )
-             DO  i = nxlg, nxrg
-                DO  j = nysg, nyng
-                   DO  k = nzb, nzt+1
-                      rad_lw_hr_av(k,j,i) = rad_lw_hr_av(k,j,i)                &
-                                            + rad_lw_hr(k,j,i)
+             IF ( ALLOCATED( rad_lw_hr_av ) ) THEN
+                DO  i = nxlg, nxrg
+                   DO  j = nysg, nyng
+                      DO  k = nzb, nzt+1
+                         rad_lw_hr_av(k,j,i) = rad_lw_hr_av(k,j,i)             &
+                                               + rad_lw_hr(k,j,i)
+                      ENDDO
                    ENDDO
                 ENDDO
-             ENDDO
+             ENDIF
 
           CASE ( 'rad_sw_in' )
-             DO  i = nxlg, nxrg
-                DO  j = nysg, nyng
-                   DO  k = nzb, nzt+1
-                      rad_sw_in_av(k,j,i) = rad_sw_in_av(k,j,i)                &
-                                            + rad_sw_in(k,j,i)
+             IF ( ALLOCATED( rad_sw_in_av ) ) THEN
+                DO  i = nxlg, nxrg
+                   DO  j = nysg, nyng
+                      DO  k = nzb, nzt+1
+                         rad_sw_in_av(k,j,i) = rad_sw_in_av(k,j,i)             &
+                                               + rad_sw_in(k,j,i)
+                      ENDDO
                    ENDDO
                 ENDDO
-             ENDDO
+             ENDIF
 
           CASE ( 'rad_sw_out' )
-             DO  i = nxlg, nxrg
-                DO  j = nysg, nyng
-                   DO  k = nzb, nzt+1
-                      rad_sw_out_av(k,j,i) = rad_sw_out_av(k,j,i)              &
-                                             + rad_sw_out(k,j,i)
+             IF ( ALLOCATED( rad_sw_out_av ) ) THEN
+                DO  i = nxlg, nxrg
+                   DO  j = nysg, nyng
+                      DO  k = nzb, nzt+1
+                         rad_sw_out_av(k,j,i) = rad_sw_out_av(k,j,i)           &
+                                                + rad_sw_out(k,j,i)
+                      ENDDO
                    ENDDO
                 ENDDO
-             ENDDO
+             ENDIF
 
           CASE ( 'rad_sw_cs_hr' )
-             DO  i = nxlg, nxrg
-                DO  j = nysg, nyng
-                   DO  k = nzb, nzt+1
-                      rad_sw_cs_hr_av(k,j,i) = rad_sw_cs_hr_av(k,j,i)          &
-                                               + rad_sw_cs_hr(k,j,i)
+             IF ( ALLOCATED( rad_sw_cs_hr_av ) ) THEN
+                DO  i = nxlg, nxrg
+                   DO  j = nysg, nyng
+                      DO  k = nzb, nzt+1
+                         rad_sw_cs_hr_av(k,j,i) = rad_sw_cs_hr_av(k,j,i)       &
+                                                  + rad_sw_cs_hr(k,j,i)
+                      ENDDO
                    ENDDO
                 ENDDO
-             ENDDO
+             ENDIF
 
           CASE ( 'rad_sw_hr' )
-             DO  i = nxlg, nxrg
-                DO  j = nysg, nyng
-                   DO  k = nzb, nzt+1
-                      rad_sw_hr_av(k,j,i) = rad_sw_hr_av(k,j,i)                &
-                                            + rad_sw_hr(k,j,i)
+             IF ( ALLOCATED( rad_sw_hr_av ) ) THEN
+                DO  i = nxlg, nxrg
+                   DO  j = nysg, nyng
+                      DO  k = nzb, nzt+1
+                         rad_sw_hr_av(k,j,i) = rad_sw_hr_av(k,j,i)             &
+                                               + rad_sw_hr(k,j,i)
+                      ENDDO
                    ENDDO
                 ENDDO
-             ENDDO
+             ENDIF
 
           CASE DEFAULT
@@ -7423,90 +7446,108 @@
 
          CASE ( 'rad_net*' )
-             DO  i = nxlg, nxrg
-                DO  j = nysg, nyng
-                   rad_net_av(j,i) = rad_net_av(j,i) / REAL( average_count_3d, &
-                                     KIND=wp )
-                ENDDO
-             ENDDO
-
-          CASE ( 'rad_lw_in' )
-             DO  i = nxlg, nxrg
-                DO  j = nysg, nyng
-                   DO  k = nzb, nzt+1
-                      rad_lw_in_av(k,j,i) = rad_lw_in_av(k,j,i)                &
-                                            / REAL( average_count_3d, KIND=wp )
+             IF ( ALLOCATED( rad_net_av ) ) THEN
+                DO  i = nxlg, nxrg
+                   DO  j = nysg, nyng
+                      rad_net_av(j,i) = rad_net_av(j,i)                        &
+                                        / REAL( average_count_3d, KIND=wp )
                    ENDDO
                 ENDDO
-             ENDDO
-
-          CASE ( 'rad_lw_out' )
-             DO  i = nxlg, nxrg
-                DO  j = nysg, nyng
-                   DO  k = nzb, nzt+1
-                      rad_lw_out_av(k,j,i) = rad_lw_out_av(k,j,i)              &
-                                             / REAL( average_count_3d, KIND=wp )
+             ENDIF
+
+          CASE ( 'rad_lw_in' )
+             IF ( ALLOCATED( rad_lw_in_av ) ) THEN
+                DO  i = nxlg, nxrg
+                   DO  j = nysg, nyng
+                      DO  k = nzb, nzt+1
+                         rad_lw_in_av(k,j,i) = rad_lw_in_av(k,j,i)             &
+                                               / REAL( average_count_3d, KIND=wp )
+                      ENDDO
                    ENDDO
                 ENDDO
-             ENDDO
-
-          CASE ( 'rad_lw_cs_hr' )
-             DO  i = nxlg, nxrg
-                DO  j = nysg, nyng
-                   DO  k = nzb, nzt+1
-                      rad_lw_cs_hr_av(k,j,i) = rad_lw_cs_hr_av(k,j,i)          &
-                                             / REAL( average_count_3d, KIND=wp )
+             ENDIF
+
+          CASE ( 'rad_lw_out' )
+             IF ( ALLOCATED( rad_lw_out_av ) ) THEN
+                DO  i = nxlg, nxrg
+                   DO  j = nysg, nyng
+                      DO  k = nzb, nzt+1
+                         rad_lw_out_av(k,j,i) = rad_lw_out_av(k,j,i)           &
+                                                / REAL( average_count_3d, KIND=wp )
+                      ENDDO
                    ENDDO
                 ENDDO
-             ENDDO
-
-          CASE ( 'rad_lw_hr' )
-             DO  i = nxlg, nxrg
-                DO  j = nysg, nyng
-                   DO  k = nzb, nzt+1
-                      rad_lw_hr_av(k,j,i) = rad_lw_hr_av(k,j,i)                &
-                                            / REAL( average_count_3d, KIND=wp )
+             ENDIF
+
+          CASE ( 'rad_lw_cs_hr' )
+             IF ( ALLOCATED( rad_lw_cs_hr_av ) ) THEN
+                DO  i = nxlg, nxrg
+                   DO  j = nysg, nyng
+                      DO  k = nzb, nzt+1
+                         rad_lw_cs_hr_av(k,j,i) = rad_lw_cs_hr_av(k,j,i)       &
+                                                / REAL( average_count_3d, KIND=wp )
+                      ENDDO
                    ENDDO
                 ENDDO
-             ENDDO
-
-          CASE ( 'rad_sw_in' )
-             DO  i = nxlg, nxrg
-                DO  j = nysg, nyng
-                   DO  k = nzb, nzt+1
-                      rad_sw_in_av(k,j,i) = rad_sw_in_av(k,j,i)                &
-                                            / REAL( average_count_3d, KIND=wp )
+             ENDIF
+
+          CASE ( 'rad_lw_hr' )
+             IF ( ALLOCATED( rad_lw_hr_av ) ) THEN
+                DO  i = nxlg, nxrg
+                   DO  j = nysg, nyng
+                      DO  k = nzb, nzt+1
+                         rad_lw_hr_av(k,j,i) = rad_lw_hr_av(k,j,i)             &
+                                               / REAL( average_count_3d, KIND=wp )
+                      ENDDO
                    ENDDO
                 ENDDO
-             ENDDO
-
-          CASE ( 'rad_sw_out' )
-             DO  i = nxlg, nxrg
-                DO  j = nysg, nyng
-                   DO  k = nzb, nzt+1
-                      rad_sw_out_av(k,j,i) = rad_sw_out_av(k,j,i)              &
-                                             / REAL( average_count_3d, KIND=wp )
+             ENDIF
+
+          CASE ( 'rad_sw_in' )
+             IF ( ALLOCATED( rad_sw_in_av ) ) THEN
+                DO  i = nxlg, nxrg
+                   DO  j = nysg, nyng
+                      DO  k = nzb, nzt+1
+                         rad_sw_in_av(k,j,i) = rad_sw_in_av(k,j,i)             &
+                                               / REAL( average_count_3d, KIND=wp )
+                      ENDDO
                    ENDDO
                 ENDDO
-             ENDDO
-
-          CASE ( 'rad_sw_cs_hr' )
-             DO  i = nxlg, nxrg
-                DO  j = nysg, nyng
-                   DO  k = nzb, nzt+1
-                      rad_sw_cs_hr_av(k,j,i) = rad_sw_cs_hr_av(k,j,i)          &
-                                             / REAL( average_count_3d, KIND=wp )
+             ENDIF
+
+          CASE ( 'rad_sw_out' )
+             IF ( ALLOCATED( rad_sw_out_av ) ) THEN
+                DO  i = nxlg, nxrg
+                   DO  j = nysg, nyng
+                      DO  k = nzb, nzt+1
+                         rad_sw_out_av(k,j,i) = rad_sw_out_av(k,j,i)           &
+                                                / REAL( average_count_3d, KIND=wp )
+                      ENDDO
                    ENDDO
                 ENDDO
-             ENDDO
-
-          CASE ( 'rad_sw_hr' )
-             DO  i = nxlg, nxrg
-                DO  j = nysg, nyng
-                   DO  k = nzb, nzt+1
-                      rad_sw_hr_av(k,j,i) = rad_sw_hr_av(k,j,i)                &
-                                            / REAL( average_count_3d, KIND=wp )
+             ENDIF
+
+          CASE ( 'rad_sw_cs_hr' )
+             IF ( ALLOCATED( rad_sw_cs_hr_av ) ) THEN
+                DO  i = nxlg, nxrg
+                   DO  j = nysg, nyng
+                      DO  k = nzb, nzt+1
+                         rad_sw_cs_hr_av(k,j,i) = rad_sw_cs_hr_av(k,j,i)       &
+                                                / REAL( average_count_3d, KIND=wp )
+                      ENDDO
                    ENDDO
                 ENDDO
-             ENDDO
+             ENDIF
+
+          CASE ( 'rad_sw_hr' )
+             IF ( ALLOCATED( rad_sw_hr_av ) ) THEN
+                DO  i = nxlg, nxrg
+                   DO  j = nysg, nyng
+                      DO  k = nzb, nzt+1
+                         rad_sw_hr_av(k,j,i) = rad_sw_hr_av(k,j,i)             &
+                                               / REAL( average_count_3d, KIND=wp )
+                      ENDDO
+                   ENDDO
+                ENDDO
+             ENDIF
 
        END SELECT
@@ -7598,4 +7639,6 @@
     LOGICAL      ::  two_d !< flag parameter that indicates 2D variables (horizontal cross sections)
 
+    REAL(wp) ::  fill_value = -999.0_wp    !< value for the _FillValue attribute
+
     REAL(wp), DIMENSION(nxl:nxr,nys:nyn,nzb:nzt+1) ::  local_pf !< 
 
@@ -7624,4 +7667,8 @@
              ENDDO
           ELSE
+            IF ( .NOT. ALLOCATED( rad_net_av ) ) THEN
+               ALLOCATE( rad_net_av(nysg:nyng,nxlg:nxrg) )
+               rad_net_av = REAL( fill_value, KIND = wp )
+            ENDIF
              DO  i = nxl, nxr
                 DO  j = nys, nyn 
@@ -7644,4 +7691,8 @@
              ENDDO
           ELSE
+            IF ( .NOT. ALLOCATED( rad_lw_in_av ) ) THEN
+               ALLOCATE( rad_lw_in_av(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
+               rad_lw_in_av = REAL( fill_value, KIND = wp )
+            ENDIF
              DO  i = nxl, nxr
                 DO  j = nys, nyn 
@@ -7664,4 +7715,8 @@
              ENDDO
           ELSE
+            IF ( .NOT. ALLOCATED( rad_lw_out_av ) ) THEN
+               ALLOCATE( rad_lw_out_av(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
+               rad_lw_out_av = REAL( fill_value, KIND = wp )
+            ENDIF
              DO  i = nxl, nxr
                 DO  j = nys, nyn 
@@ -7684,4 +7739,8 @@
              ENDDO
           ELSE
+            IF ( .NOT. ALLOCATED( rad_lw_cs_hr_av ) ) THEN
+               ALLOCATE( rad_lw_cs_hr_av(nzb+1:nzt+1,nysg:nyng,nxlg:nxrg) )
+               rad_lw_cs_hr_av = REAL( fill_value, KIND = wp )
+            ENDIF
              DO  i = nxl, nxr
                 DO  j = nys, nyn 
@@ -7704,4 +7763,8 @@
              ENDDO
           ELSE
+            IF ( .NOT. ALLOCATED( rad_lw_hr_av ) ) THEN
+               ALLOCATE( rad_lw_hr_av(nzb+1:nzt+1,nysg:nyng,nxlg:nxrg) )
+               rad_lw_hr_av= REAL( fill_value, KIND = wp )
+            ENDIF
              DO  i = nxl, nxr
                 DO  j = nys, nyn 
@@ -7724,4 +7787,8 @@
              ENDDO
           ELSE
+            IF ( .NOT. ALLOCATED( rad_sw_in_av ) ) THEN
+               ALLOCATE( rad_sw_in_av(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
+               rad_sw_in_av = REAL( fill_value, KIND = wp )
+            ENDIF
              DO  i = nxl, nxr
                 DO  j = nys, nyn 
@@ -7744,4 +7811,8 @@
              ENDDO
           ELSE
+            IF ( .NOT. ALLOCATED( rad_sw_out_av ) ) THEN
+               ALLOCATE( rad_sw_out_av(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
+               rad_sw_out_av = REAL( fill_value, KIND = wp )
+            ENDIF
              DO  i = nxl, nxr
                 DO  j = nys, nyn 
@@ -7764,4 +7835,8 @@
              ENDDO
           ELSE
+            IF ( .NOT. ALLOCATED( rad_sw_cs_hr_av ) ) THEN
+               ALLOCATE( rad_sw_cs_hr_av(nzb+1:nzt+1,nysg:nyng,nxlg:nxrg) )
+               rad_sw_cs_hr_av = REAL( fill_value, KIND = wp )
+            ENDIF
              DO  i = nxl, nxr
                 DO  j = nys, nyn 
@@ -7784,4 +7859,8 @@
              ENDDO
           ELSE
+            IF ( .NOT. ALLOCATED( rad_sw_hr_av ) ) THEN
+               ALLOCATE( rad_sw_hr_av(nzb+1:nzt+1,nysg:nyng,nxlg:nxrg) )
+               rad_sw_hr_av = REAL( fill_value, KIND = wp )
+            ENDIF
              DO  i = nxl, nxr
                 DO  j = nys, nyn 
@@ -7827,4 +7906,6 @@
 
     LOGICAL      ::  found !< 
+
+    REAL(wp) ::  fill_value = -999.0_wp    !< value for the _FillValue attribute
 
     REAL(sp), DIMENSION(nxl:nxr,nys:nyn,nzb:nzt+1) ::  local_pf !< 
@@ -7846,4 +7927,8 @@
             ENDDO
          ELSE
+            IF ( .NOT. ALLOCATED( rad_sw_in_av ) ) THEN
+               ALLOCATE( rad_sw_in_av(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
+               rad_sw_in_av = REAL( fill_value, KIND = wp )
+            ENDIF
             DO  i = nxl, nxr
                DO  j = nys, nyn
@@ -7865,4 +7950,8 @@
             ENDDO
          ELSE
+            IF ( .NOT. ALLOCATED( rad_sw_out_av ) ) THEN
+               ALLOCATE( rad_sw_out_av(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
+               rad_sw_out_av = REAL( fill_value, KIND = wp )
+            ENDIF
             DO  i = nxl, nxr
                DO  j = nys, nyn
@@ -7884,4 +7973,8 @@
             ENDDO
          ELSE
+            IF ( .NOT. ALLOCATED( rad_sw_cs_hr_av ) ) THEN
+               ALLOCATE( rad_sw_cs_hr_av(nzb+1:nzt+1,nysg:nyng,nxlg:nxrg) )
+               rad_sw_cs_hr_av = REAL( fill_value, KIND = wp )
+            ENDIF
             DO  i = nxl, nxr
                DO  j = nys, nyn
@@ -7903,4 +7996,8 @@
             ENDDO
          ELSE
+            IF ( .NOT. ALLOCATED( rad_sw_hr_av ) ) THEN
+               ALLOCATE( rad_sw_hr_av(nzb+1:nzt+1,nysg:nyng,nxlg:nxrg) )
+               rad_sw_hr_av = REAL( fill_value, KIND = wp )
+            ENDIF
             DO  i = nxl, nxr
                DO  j = nys, nyn
@@ -7922,4 +8019,8 @@
             ENDDO
          ELSE
+            IF ( .NOT. ALLOCATED( rad_lw_in_av ) ) THEN
+               ALLOCATE( rad_lw_in_av(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
+               rad_lw_in_av = REAL( fill_value, KIND = wp )
+            ENDIF
             DO  i = nxl, nxr
                DO  j = nys, nyn
@@ -7941,4 +8042,8 @@
             ENDDO
          ELSE
+            IF ( .NOT. ALLOCATED( rad_lw_out_av ) ) THEN
+               ALLOCATE( rad_lw_out_av(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
+               rad_lw_out_av = REAL( fill_value, KIND = wp )
+            ENDIF
             DO  i = nxl, nxr
                DO  j = nys, nyn
@@ -7960,4 +8065,8 @@
             ENDDO
          ELSE
+            IF ( .NOT. ALLOCATED( rad_lw_cs_hr_av ) ) THEN
+               ALLOCATE( rad_lw_cs_hr_av(nzb+1:nzt+1,nysg:nyng,nxlg:nxrg) )
+               rad_lw_cs_hr_av = REAL( fill_value, KIND = wp )
+            ENDIF
             DO  i = nxl, nxr
                DO  j = nys, nyn
@@ -7979,4 +8088,8 @@
             ENDDO
          ELSE
+            IF ( .NOT. ALLOCATED( rad_lw_hr_av ) ) THEN
+               ALLOCATE( rad_lw_hr_av(nzb+1:nzt+1,nysg:nyng,nxlg:nxrg) )
+              rad_lw_hr_av = REAL( fill_value, KIND = wp )
+            ENDIF
             DO  i = nxl, nxr
                DO  j = nys, nyn
Index: /palm/trunk/SOURCE/read_restart_data_mod.f90
===================================================================
--- /palm/trunk/SOURCE/read_restart_data_mod.f90	(revision 3003)
+++ /palm/trunk/SOURCE/read_restart_data_mod.f90	(revision 3004)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! precipitation_rate_av removed
+! 
+! 3003 2018-04-23 10:22:58Z Giersch
 ! z_i is also read to use the last known inversion height from the 
 ! initial run as the first inversion height which is written into the
@@ -1522,13 +1525,4 @@
                          tmp_2d(nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
 
-                CASE ( 'precipitation_rate_av' )
-                   IF ( .NOT. ALLOCATED( precipitation_rate_av ) )  THEN
-                      ALLOCATE( precipitation_rate_av(nysg:nyng,nxlg:nxrg) )
-                   ENDIF
-                   IF ( k == 1 )  READ ( 13 )  tmp_2d
-                   precipitation_rate_av(nysc-nbgp:nync+nbgp,                  &
-                                         nxlc-nbgp:nxrc+nbgp)  =               &
-                         tmp_2d(nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
-
                 CASE ( 'pt' )
                    IF ( k == 1 )  READ ( 13 )  tmp_3d
